<?php
if ( !defined( 'IN_CMS' ) ) {
    exit();
}

$configurationHandler = IoC::resolve( 'databaseConfigurationHandler');
$settings = new Configuration( $configurationHandler );
$settings['smtp.host'] = null;
$settings['smtp.enable_authentication'] = false;
$settings['smtp.username'] = null;
$settings['smtp.password'] = null;
$settings['smtp.port'] = null;
$settings['smtp.encryption_mode'] = null;
$configurationHandler->save();

$logger = IoC::resolve( 'logger' );
$logger->write( sprintf( '[%s] [%s] [%s] Plugin smtp successfully installed.', date( 'Y-m-d H:i:s' ), __FILE__, 'info' ) );

return true;
