<?php
if ( !defined( 'IN_CMS' ) ) {
    exit();
}

$configurationHandler = IoC::resolve( 'databaseConfigurationHandler');
$settings = new Configuration( $configurationHandler );
unset( $settings['smtp.host'] );
unset( $settings['smtp.enable_authentication'] );
unset( $settings['smtp.username'] );
unset( $settings['smtp.password'] );
unset( $settings['smtp.port'] );
unset( $settings['smtp.encryption_mode'] );
$configurationHandler->save();

$logger = IoC::resolve( 'logger' );
$logger->write( sprintf( '[%s] [%s] [%s] Plugin smtp successfully uninstalled.', date( 'Y-m-d H:i:s' ), __FILE__, 'info' ) );

return true;
